"""本库的一些信息"""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../notebooks/00_help (library information).ipynb.

# %% auto 0
__all__ = ['lib_init_path', 'lib_directory_path', 'lib_repo_path', 'runs_path', 'runs_figs_path', 'data_path', 'lib_name_en_us',
           'lib_name_zh_cn', 'lib_name', 'author_name_en_us', 'author_name_zh_cn', 'github_user', 'github_repo',
           'import_name', 'upgrade_command_pip', 'pretty_name', 'combine_bilingual_pretty']

# %% ../notebooks/00_help (library information).ipynb 4
from pathlib import Path
import inspect
import scholarly_infrastructure as this_library
lib_init_path = Path(inspect.getfile(this_library))
lib_directory_path = lib_init_path.parent
lib_repo_path = lib_directory_path.parent
runs_path = lib_repo_path/'runs'
runs_path.mkdir(exist_ok=True, parents=True)
runs_figs_path = runs_path/'figs'
runs_figs_path.mkdir(exist_ok=True, parents=True)
data_path = lib_repo_path/'data'
data_path.mkdir(exist_ok=True, parents=True)

# %% ../notebooks/00_help (library information).ipynb 5
def combine_bilingual_pretty(primary:str, auxiliary:str)->str:
    return f"{primary} ({auxiliary}) "

# %% ../notebooks/00_help (library information).ipynb 6
lib_name_en_us = "Scholarly Infrastructure" 
lib_name_zh_cn = "大师荟萃之楼" # 群贤毕至之厦，群英聚首之阁
lib_name = combine_bilingual_pretty(lib_name_zh_cn, lib_name_en_us)

author_name_en_us = "THU-CVML" 
author_name_zh_cn = "清华大学计算机视觉与机器学习实验室"
github_user="THU-CVML"
github_repo="ScholarlyInfrastructure"
import_name="scholarly_infrastructure" # pypi name and python import name

upgrade_command_pip = f"pip install --upgrade {import_name}" # command to upgrade the library

pretty_name=combine_bilingual_pretty(f"{author_name_zh_cn}/{lib_name_zh_cn}", 
                                     f"{author_name_en_us}/{lib_name_en_us}")

